import { useEnumStore } from '@/stores'

const { getEnumTypeName } = useEnumStore()

/**
 * 交易市场
 */
export enum Market {
    /** 广钻 */
    GZ = 67201,
    /** 铁合金采购 */
    THJ = 64201,
    /** 铁合金供求 */
    THJ_Listing = 65201,
    /** 铁合金转让 */
    THJ_Transfer = 64202,
}

/**
 * 获取交易市场列表
 * @returns 
 */
export function getMarketList() {
    return [
        { label: '采购', value: Market.THJ },
        { label: '转让', value: Market.THJ_Transfer },
        { label: '供求', value: Market.THJ_Listing },
    ]
}

/**
 * 获取交易市场名称
 * @returns 
 */
export function getMarketName(value?: number) {
    const enums = getMarketList()
    return getEnumTypeName(enums, value)
}